Package groovy.servlet

# Class ServletCategory

java.lang.Object
groovy.servlet.ServletCategory

public class ServletCategory extends Object
Servlet support.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServletCategory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object`
  `get(jakarta.servlet.http.HttpSession session, String key)`
  Reads an HTTP session attribute using property-style access.
  `static Object`
  `get(jakarta.servlet.jsp.PageContext context, String key)`
  Reads a page context attribute using property-style access.
  `static Object`
  `get(jakarta.servlet.ServletContext context, String key)`
  Reads a servlet context attribute using property-style access.
  `static Object`
  `get(jakarta.servlet.ServletRequest request, String key)`
  Reads a request attribute using property-style access.
  `static Object`
  `getAt(jakarta.servlet.http.HttpSession session, String key)`
  Reads an HTTP session attribute using Groovy subscript syntax.
  `static Object`
  `getAt(jakarta.servlet.jsp.PageContext context, String key)`
  Reads a page context attribute using Groovy subscript syntax.
  `static Object`
  `getAt(jakarta.servlet.ServletContext context, String key)`
  Reads a servlet context attribute using Groovy subscript syntax.
  `static Object`
  `getAt(jakarta.servlet.ServletRequest request, String key)`
  Reads a request attribute using Groovy subscript syntax.
  `static void`
  `putAt(jakarta.servlet.http.HttpSession session, String key, Object value)`
  Stores an HTTP session attribute using Groovy subscript syntax.
  `static void`
  `putAt(jakarta.servlet.jsp.PageContext context, String key, Object value)`
  Stores a page context attribute using Groovy subscript syntax.
  `static void`
  `putAt(jakarta.servlet.ServletContext context, String key, Object value)`
  Stores a servlet context attribute using Groovy subscript syntax.
  `static void`
  `putAt(jakarta.servlet.ServletRequest request, String key, Object value)`
  Stores a request attribute using Groovy subscript syntax.
  `static void`
  `set(jakarta.servlet.http.HttpSession session, String key, Object value)`
  Stores an HTTP session attribute using property-style access.
  `static void`
  `set(jakarta.servlet.jsp.PageContext context, String key, Object value)`
  Stores a page context attribute using property-style access.
  `static void`
  `set(jakarta.servlet.ServletContext context, String key, Object value)`
  Stores a servlet context attribute using property-style access.
  `static void`
  `set(jakarta.servlet.ServletRequest request, String key, Object value)`
  Stores a request attribute using property-style access.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServletCategory

    public ServletCategory()

- ## Method Details

  - ### get

    public static Object get(jakarta.servlet.ServletContext context, String key)
    Reads a servlet context attribute using property-style access.
    Parameters:
      `context` - the servlet context
      `key` - the attribute name
    Returns:
      the stored attribute value

  - ### get

    public static Object get(jakarta.servlet.http.HttpSession session, String key)
    Reads an HTTP session attribute using property-style access.
    Parameters:
      `session` - the HTTP session
      `key` - the attribute name
    Returns:
      the stored attribute value

  - ### get

    public static Object get(jakarta.servlet.ServletRequest request, String key)
    Reads a request attribute using property-style access.
    Parameters:
      `request` - the servlet request
      `key` - the attribute name
    Returns:
      the stored attribute value

  - ### get

    public static Object get(jakarta.servlet.jsp.PageContext context, String key)
    Reads a page context attribute using property-style access.
    Parameters:
      `context` - the page context
      `key` - the attribute name
    Returns:
      the stored attribute value

  - ### getAt

    public static Object getAt(jakarta.servlet.ServletContext context, String key)
    Reads a servlet context attribute using Groovy subscript syntax.
    Parameters:
      `context` - the servlet context
      `key` - the attribute name
    Returns:
      the stored attribute value

  - ### getAt

    public static Object getAt(jakarta.servlet.http.HttpSession session, String key)
    Reads an HTTP session attribute using Groovy subscript syntax.
    Parameters:
      `session` - the HTTP session
      `key` - the attribute name
    Returns:
      the stored attribute value

  - ### getAt

    public static Object getAt(jakarta.servlet.ServletRequest request, String key)
    Reads a request attribute using Groovy subscript syntax.
    Parameters:
      `request` - the servlet request
      `key` - the attribute name
    Returns:
      the stored attribute value

  - ### getAt

    public static Object getAt(jakarta.servlet.jsp.PageContext context, String key)
    Reads a page context attribute using Groovy subscript syntax.
    Parameters:
      `context` - the page context
      `key` - the attribute name
    Returns:
      the stored attribute value

  - ### set

    public static void set(jakarta.servlet.ServletContext context, String key, Object value)
    Stores a servlet context attribute using property-style access.
    Parameters:
      `context` - the servlet context
      `key` - the attribute name
      `value` - the attribute value

  - ### set

    public static void set(jakarta.servlet.http.HttpSession session, String key, Object value)
    Stores an HTTP session attribute using property-style access.
    Parameters:
      `session` - the HTTP session
      `key` - the attribute name
      `value` - the attribute value

  - ### set

    public static void set(jakarta.servlet.ServletRequest request, String key, Object value)
    Stores a request attribute using property-style access.
    Parameters:
      `request` - the servlet request
      `key` - the attribute name
      `value` - the attribute value

  - ### set

    public static void set(jakarta.servlet.jsp.PageContext context, String key, Object value)
    Stores a page context attribute using property-style access.
    Parameters:
      `context` - the page context
      `key` - the attribute name
      `value` - the attribute value

  - ### putAt

    public static void putAt(jakarta.servlet.ServletContext context, String key, Object value)
    Stores a servlet context attribute using Groovy subscript syntax.
    Parameters:
      `context` - the servlet context
      `key` - the attribute name
      `value` - the attribute value

  - ### putAt

    public static void putAt(jakarta.servlet.http.HttpSession session, String key, Object value)
    Stores an HTTP session attribute using Groovy subscript syntax.
    Parameters:
      `session` - the HTTP session
      `key` - the attribute name
      `value` - the attribute value

  - ### putAt

    public static void putAt(jakarta.servlet.ServletRequest request, String key, Object value)
    Stores a request attribute using Groovy subscript syntax.
    Parameters:
      `request` - the servlet request
      `key` - the attribute name
      `value` - the attribute value

  - ### putAt

    public static void putAt(jakarta.servlet.jsp.PageContext context, String key, Object value)
    Stores a page context attribute using Groovy subscript syntax.
    Parameters:
      `context` - the page context
      `key` - the attribute name
      `value` - the attribute value